<template>
	<div class="flex-col md:rounded-lg lg:rounded bg-white px-4 md:px-6 lg:px-10 py-6 lg:py-10 mb-2">
		<div class="flex justify-between items-center">
			<div class="flex items-center">
				<MkSuccessIcon aria-label="Shipping method" />
				<h2
					class="font-secondary-font-regular text-xl md:text-2xl leading-6 md:leading-7 lg:leading-8 pl-4 lg:pl-6"
					v-html="page.shippingmethod"
				>
				</h2>
			</div>
			<div>
				<a
					ref="shipping_method_edit_button"
					tabindex="0"
					href="javascript:;"
					role="button"
					aria-label="Edit Shipping method"
					class="focus:outline-none focus:ring-1 focus:ring-black font-primary-font-bold text-base leading-6 mk-link"
					@click="$emit('edit-shipping-method')"
					>Edit</a
				>
			</div>
		</div>
		<div v-if="value.method" class="font-primary-font-light text-base leading-6 pl-12 md:pl-14 lg:pl-17 pt-7 md:pt-5">
			<p
				v-if="page && value.method && value.method.title.includes('Ground') && value.method.price == '0'"
				class="leading-10"
				v-html="page.freegroundmessage"
			></p>
			<p>{{ value.method.title }}</p>
			<p>{{ value.method.description }}</p>
			<p>{{ value.method.value }}</p>
		</div>
	</div>
</template>
<script>
import MkSuccessIcon from '~/components/D2C/atoms/MkSuccessIcon.vue';
export default {
	name: 'MkCheckoutShippingMethodSuccess',
	components: {
		MkSuccessIcon,
	},
	props: {
		value: {
			type: Object,
			default: () => {},
		},
		lastEdit: {
			type: String,
			default: 'shippingMethod',
		},
		page: {
			type: Object,
			default: () => {},
		},
	},
	mounted() {
		if (this.lastEdit === 'method' || this.lastEdit === 'Info') {
			this.$root.$utility.elementFocus(this, 'shipping_method_edit_button');
		}
	},
};
</script>
